﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Telerik.Windows.Controls.Charting;
using System.Collections.ObjectModel;

namespace MouseEventsExSL
{
    public partial class MainPage : UserControl
    {
        public MainPage()
        {
            InitializeComponent();

            SetUpMappings();
            this.radChart.ItemsSource = GetData();
        }

        public void content_MouseEnter(object sender, MouseEventArgs e)
        {
            //Put some logic here
        }

        public void content_MouseLeave(object sender, MouseEventArgs e)
        {
            //Put some logic here
        }

        private void SetUpMappings()
        {
            SeriesMapping barSeries = new SeriesMapping();
            barSeries.SeriesDefinition = new BarSeriesDefinition()
            {
                ItemStyle = this.Resources["CustomStyle"] as Style
            };
            barSeries.ItemMappings.Add(new ItemMapping("ValueY", DataPointMember.YValue));
            barSeries.ItemMappings.Add(new ItemMapping("ValueX", DataPointMember.XValue));
            this.radChart.SeriesMappings.Add(barSeries);
        }

        private ObservableCollection<DataItemTest> GetData()
        {
            ObservableCollection<DataItemTest> data = new ObservableCollection<DataItemTest>()
            {
                new DataItemTest{ValueY = 5, ValueX= 2},
                new DataItemTest{ValueY = 7, ValueX= 3},
                new DataItemTest{ValueY = 6, ValueX= 4},
                new DataItemTest{ValueY = 2, ValueX= 5},
                new DataItemTest{ValueY = 4, ValueX= 6},
                new DataItemTest{ValueY = 8, ValueX= 7},
                new DataItemTest{ValueY = 4, ValueX= 8}
            };

            return data;
        }
    }

    public class DataItemTest
    {
        public double ValueY { get; set; }
        public double ValueX { get; set; }
    }
}
